Bug 50297 - Know PHP bug causes Apache log errors -- Updated RPM required
Summary: Know PHP bug causes Apache log errors -- Updated RPM required
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-30 02:15 UTC by Ryan
Modified: 2007-04-18 16:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-08 19:46:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ryan 2001-07-30 02:15:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows 98)

Description of problem:
In all versions of PHP 4.0.4, there is a bug in the output_buffering = On 
option that causes HTML to be output to the stdout (ie: error_log in 
Apache).  This was fixed in 4.0.5, but compiling a new version requires 
many, many additional upgrades.  I would like to see an RPM upgrade for 
this issue.

How reproducible:
Always

Steps to Reproduce:
1. Install PHP / Apache from 7.1 Discs
2. In php.ini, turn on output_buffering
3. View some pages on the server, then view the error_log file to see the 
<HTML> code magically appear!
	

Additional info:

Comment 1 Phil Copeland 2002-01-08 19:46:44 UTC
humm I do have a rawhide update but it's aligned to 7.2 which wants to pull in
curl which was never shipped before RH7.2 I'll toy around with trying to build
an errata canidate without curl support

Phil
=--=

Comment 2 Phil Copeland 2002-06-04 21:12:01 UTC
Closing

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.